<?php
/**
*
* @package msta EmailOnTopic Extension
*
*/

namespace msta\emailontopic\includes;

class BasicBridge {
  protected $phpbb_container;
  protected $db;
  protected $config;
  protected $phpbb_dispatcher;
  protected $phpbb_root_path;
  protected $table_prefix;
  protected function __construct ($phpbb_container, \phpbb\db\driver\driver_interface $db, \phpbb\config\config $config, \phpbb\event\dispatcher_interface $phpbb_dispatcher, $phpbb_root_path) {
    $this->phpbb_container = $phpbb_container;
    $this->db = $db;
    $this->config = $config;
    $this->phpbb_dispatcher = $phpbb_dispatcher;
    $this->phpbb_root_path = $phpbb_root_path;
    $this->table_prefix = substr(USERS_TABLE, 0, -5);
  }

  /*
   linkedChannelExists
   Performance optimisation: Check, weather or not at least one linked channel of the given topic exists. If no bridgs has a linked channel,
   the message is not rendered for channel display and sendChannels is not called. Most topics usually don't have a linked channel on an other platform.
   This is why this is a static function and db and tablePrefix are required.
  */
  public static function linkedChannelExists ($topicId, $db, $tablePrefix) {
    return false;
  }

  /*
   sendChannels
   Sends a post to all linked channels auf this topic.
  */
  public function sendChannels ($inputBridge, $inputInfo, $postMode, $template, $message, $forumId, $topicId, $postId) {
  }

  /*
   sendSubscription
   This function is called to send a subscription or explicit notification to a targeted user. Such messages may contain user spicific commands, such as the mail-access-password.
  */
  public function sendSubscription ($inputBridge, $inputInfo, $targetUser, $template, $message, $topicTitle, $security, $reason, $currentUser=null) {
  }

  /*
   deletePost
   This function is called to remove a post from bridged channels, if it is deleted in forum.
  */
  public function deletePost ($inputBridge, $inputInfo, $forumId, $topicId, $postId, $reason) {
  }

  /*
   finalSteps
   Called after all subscription sends and channel posts. If for example a queue or buffer is used, this function can store it.
  */
  public function finalSteps () {
  }
}
