<?php

namespace msta\emailontopic\migrations;

class pgp_profile_field extends \phpbb\db\migration\profilefield_base_migration {
  static public function depends_on () {
    return array(
      '\phpbb\db\migration\data\v310\profilefield_contact_field',
      '\phpbb\db\migration\data\v310\profilefield_show_novalue',
      '\phpbb\db\migration\data\v310\profilefield_types',
    );
  }

  public function update_data () {
    return array(
      array('custom', array(array($this, 'create_custom_field'))),
    );
  }

  protected $profilefield_name = 'pgp_fingerprint';
  protected $profilefield_database_type = array('VCHAR', '');
  protected $profilefield_data = array(
    'field_name'			=> 'pgp_fingerprint',
    'field_type'			=> 'profilefields.type.string',
    'field_ident'			=> 'pgp_fingerprint',
    'field_length'			=> '255',
    'field_minlen'			=> '1',
    'field_maxlen'			=> '128',
    'field_novalue'			=> '',
    'field_default_value'	=> '',
    'field_validation'		=> '[a-fA-F0-9]+',
    'field_required'		=> 0,
    'field_show_novalue'	=> 0,
    'field_show_on_reg'		=> 0,
    'field_show_on_pm'		=> 0,
    'field_show_on_vt'		=> 0,
    'field_show_profile'	=> 0,
    'field_hide'			=> 1,
    'field_no_view'			=> 1,
    'field_active'			=> 1,
    'field_is_contact'		=> 0,
    'field_contact_desc'	=> '',
    'field_contact_url'		=> '',
  );
}
